io.undertow.security.impl

## Interface SingleSignOnManager

All Known Implementing Classes:
  InMemorySingleSignOnManager

    public interface SingleSignOnManager

Author:
  Paul Ferraro

### Method Summary

All Methods Instance Methods Abstract Methods
`SingleSignOn` `createSingleSignOn(Account account, String mechanism)`
`SingleSignOn` `findSingleSignOn(String ssoId)`
`void` `removeSingleSignOn(SingleSignOn sso)`

### Method Detail

#### createSingleSignOn

    SingleSignOn createSingleSignOn(Account account,
                                    String mechanism)

#### findSingleSignOn

    SingleSignOn findSingleSignOn(String ssoId)

#### removeSingleSignOn

    void removeSingleSignOn(SingleSignOn sso)